> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# Get external event pull



## OpenAPI

````yaml /api-reference/membrane-api.json get /external-event-pulls/{id}
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /external-event-pulls/{id}:
    get:
      tags:
        - ExternalEventPulls
      summary: Get external event pull
      operationId: getExternalEventPull
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExternalEventPullApiResponseDto'
components:
  schemas:
    ExternalEventPullApiResponseDto:
      type: object
      properties:
        userId:
          type: string
        tenantId:
          type: string
        ownerName:
          type: string
          nullable: true
        id:
          type: string
        integrationId:
          type: string
        connectionId:
          type: string
        externalAppId:
          type: string
        name:
          type: string
        externalEventSubscriptionId:
          type: string
        startDatetime:
          type: string
        endDatetime:
          type: string
        isFullScan:
          type: boolean
        status:
          type: string
          enum:
            - running
            - success
            - error
            - queued
        collectedEventIds:
          type: array
          items:
            type: string
        error:
          $ref: '#/components/schemas/ExternalEventPullApiResponseDto__schema0'
      required:
        - userId
        - id
        - integrationId
        - connectionId
        - externalEventSubscriptionId
        - startDatetime
        - endDatetime
        - status
        - collectedEventIds
    ExternalEventPullApiResponseDto__schema0:
      type: object
      properties:
        type:
          type: string
          enum:
            - bad_request
            - connection
            - configuration
            - dependency_error
            - flow_run
            - flow_instance_setup
            - concurrency
            - internal
            - action_run
            - action_instance_setup
            - unit_run
            - custom_code
            - insufficient_credit
            - openrouter_not_configured
        key:
          type: string
        message:
          type: string
        data:
          type: object
        stack:
          type: object
        causedByError:
          $ref: '#/components/schemas/ExternalEventPullApiResponseDto__schema0'
        logs:
          type: array
          items:
            type: object
      required:
        - message
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````